When storing only the username of a protected WMS connection, then QGIS asks for the password 

on start

2014-09-11 02:01 AM - Rémi Bovard

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19497

Description

New description:

When storing only the username of a protected WMS connection, then QGIS asks for the password on start, but only if the browser is

active. It happens even on a blank project, while the expected behavior would be to have the password asked only when selecting that

specific connection in the browser. QGIS 1.8 used to work as expected.

Old description:

When storing only the username in a WMS connection, the password is asked everytime QGIS is open.

In the note about saving password, it's written:

Note: giving the password is optional. It will be requested interactivly, when needed.

Ok, it ask me only the password when connecting to this WMS, but also when starting QGIS without any layers, which is not really

optimal...

Associated revisions

Revision 3bdb104a - 2014-10-21 11:26 PM - Jürgen Fischer

use QgsCredentials to request wms/ows credentials on demand and wms cleanups (fixes #11184)

History

#1 - 2014-10-04 06:36 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Category changed from Web Services clients/WMS to Browser

- Subject changed from Store only username in WMS connection to When storing only the username of a protected WMS connection, then QGIS asks 

for the password on start

- Affected QGIS version changed from 2.2.0 to master

- Priority changed from Normal to Severe/Regression

#2 - 2014-10-21 02:46 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#3 - 2014-10-21 02:28 PM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"3bdb104a0164c4db3549013e41a497af7b0701e1".
